Name: pdns-recursor
Version: 3.6.3
Release: 1%{?dist}
Summary: Modern, advanced and high performance recursing/non authoritative name server
Group: System Environment/Daemons
License: GPLv2
URL: http://powerdns.com
Source0: http://downloads.powerdns.com/releases/%{name}-%{version}.tar.bz2
Source1: pdns-recursor.init
Patch0: pdns-recursor-fixmakefile.patch
Patch1: pdns-recursor-disable-secpoll.patch

Provides: powerdns-recursor = %{version}-%{release}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: boost141-devel
BuildRequires: lua-devel

Requires(pre): shadow-utils
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/service, /sbin/chkconfig
Requires(postun): /sbin/service

%description
PowerDNS Recursor is a non authoritative/recursing DNS server. Use this
package if you need a dns cache for your network.

%prep
%setup -q
%patch0 -p1 -b .fixmakefile
%patch1 -p1 -b .disable-secpoll

%build
CXXFLAGS="-I/usr/include/boost141" LUA=1 LUA_CPPFLAGS_CONFIG= LUA_LIBS_CONFIG=-llua OPTFLAGS="%{optflags}" LDFLAGS="%{?__global_ldflags}" make %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
make install DESTDIR=%{buildroot} CONFIGDIR="%{_sysconfdir}/%{name}"
chmod 0755 %{buildroot}/%{_bindir}/rec_control
chmod 0755 %{buildroot}/%{_sbindir}/pdns_recursor
%{__install} -D -p %{SOURCE1} %{buildroot}%{_initrddir}/pdns-recursor

%{__mv} %{buildroot}%{_sysconfdir}/%{name}/recursor.conf{-dist,}

# add pdns user and group to top of configfile
sed -i '1i\setuid=pdns-recursor' %{buildroot}%{_sysconfdir}/%{name}/recursor.conf
sed -i '2i\setgid=pdns-recursor' %{buildroot}%{_sysconfdir}/%{name}/recursor.conf

%pre
getent group pdns-recursor > /dev/null || groupadd -r pdns-recursor
getent passwd pdns-recursor > /dev/null || \
    useradd -r -g pdns-recursor -d / -s /sbin/nologin \
    -c "PowerDNS Recursor user" pdns-recursor
exit 0

%post
/sbin/chkconfig --add pdns-recursor

%preun
if [ $1 -eq 0 ]; then
	/sbin/service %{name} stop >/dev/null 2>&1 || :
	/sbin/chkconfig --del %{name}
fi

%postun
if [ $1 -ge 1 ]; then
	/sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/rec_control
%{_sbindir}/pdns_recursor
%{_mandir}/man1/pdns_recursor.1.gz
%{_mandir}/man1/rec_control.1.gz
%{_initrddir}/pdns-recursor
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/recursor.conf
%doc COPYING README

%changelog
* Thu Apr 23 2015 Morten Stevens <mstevens@imt-systems.com> - 3.6.3-1
- Update to 3.6.3
- CVE-2015-1868 (#1213832)
- Disable security status polling by default

* Fri Oct 31 2014 Morten Stevens <mstevens@imt-systems.com> - 3.6.2-1
- Update to 3.6.2
- Enable security status polling

* Wed Sep 10 2014 Morten Stevens <mstevens@imt-systems.com> - 3.6.1-1
- Update to 3.6.1
- CVE-2014-3614 (#1139251)

* Fri Jun 20 2014 Morten Stevens <mstevens@imt-systems.com> - 3.6.0-1
- Update to 3.6.0

* Mon Feb 10 2014 Morten Stevens <mstevens@imt-systems.com> - 3.5.3-2
- Add upstream patch to fix rhbz#1063304

* Tue Sep 17 2013 Morten Stevens <mstevens@imt-systems.com> - 3.5.3-1
- Update to 3.5.3

* Mon Jun 10 2013 Morten Stevens <mstevens@imt-systems.com> - 3.5.2-1
- Update to 3.5.2

* Fri May 03 2013 Morten Stevens <mstevens@imt-systems.com> - 3.5.1-1
- Update to 3.5.1

* Mon Apr 15 2013 Morten Stevens <mstevens@imt-systems.com> - 3.5-1
- Update to 3.5
- Fixes CVE-2012-1193 and another variant of the attack (rhbz#794966)
- D.ROOT-SERVERS.NET has a new IP (rhbz#917347)

* Fri Mar 22 2013 Morten Stevens <mstevens@imt-systems.com> - 3.3-1
- Update to 3.3
- Fix for bz#719457
- Fix bogus date in changelog
- Some rpmlint fixes
- Rebuild for Boost 1.41

* Wed Jan 06 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 3.1.7.2-1
- Upstream released new version
- Fixes CVE-2009-4009 and CVE-2009-4010
- Start recursor earlier in the boot process (#540428)

* Sat Aug 02 2008 Ruben Kerkhof <ruben@rubenkerkhof.com> 3.1.7-1
- Upstream released new version

* Sat Jan 27 2007 <ruben@rubenkerkhof.com> 3.1.4-4
- Now really fix the description in init script

* Sat Jan 27 2007 <ruben@rubenkerkhof.com> 3.1.4-3
- Fixed Description in init script

* Wed Jan 24 2007 <ruben@rubenkerkhof.com> 3.1.4-2
- Fixes per bz review 221188:
- Changed user to pdns-recursor
- Patched the Makefile to not strip debugsymbols
- Skipped the configure step, it didn't do much
- Added a more Fedora-centric initscript
- Use condrestart instead of restart in %%postun

* Sun Dec 31 2006 <ruben@rubenkerkhof.com> 3.1.4-1
- Initial import
